# Setting up a gas tank

As we are using Biconomy, you should first create an account on the [Biconomy Dashboard](https://dashboard.biconomy.io/). Now you can find your **Auth Token** on the Account page. You are going to use it to create gas tanks for your application(s).

In order to create a gas tank, you need to use this typescript function (**Do not create a dapp directly on Biconomy Dashboard**)

```typescript
const addGasTank = async(dappName: string, networkId: string, authToken: string) => {

	const url = 'https://api.biconomy.io/api/v1/dapp/public-api/create-dapp'

	const formData = new URLSearchParams({
		'dappName': dappName,
		'networkId': networkId,
		'enableBiconomyWallet': 'true'
	})

	const requestOptions = {
		method: 'POST',
		headers: { 'Content-Type': 'application/x-www-form-urlencoded', 'authToken': authToken },
		body: formData
	}

	const res = await fetch(url, requestOptions)
	const resJson = await res.json()

	return { apiKey: resJson.data.apiKey, fundingKey: resJson.data.fundingKey.toString() }
}
```

You should pass the **Auth Token** (that you got from the dashboard), name, and network ID, to this function. After running this function, you will find your gastank created on the dashboard. If you press on the gas tank block, you can see all details related to your gas tank, including the API Key. This API Key will be passed to the backend service (we'll talk more about this in the next sections).&#x20;

In order to fill the gas tank, you should first connect your wallet to the dashboard (the button in the left bottom corner) and then you can fill the gas. Note that you'll need to fill the gas in the native token of the network you created the gas tank on.

You also can add limits on using your gas tank under Meta Transactions Limit section.&#x20;

For more details you can check [biconomy docs](https://docs.biconomy.io/).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zerowallet.org/installation/setting-up-a-gas-tank.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
